#ifndef BMP280_H
#define BMP280_H
#include <arduino.h>

class BMP280
{
  private:
    uint16_t bmp280DIG[12] ; // 0-3 : T1-T3 / 3-11 : P1-P9
    int32_t t_fine;
  
  public:
    int32_t temperature; // 温度 単位 1/00℃
    int32_t presser;     // 気圧 単位 Pa

    bool init() ;   // 初期化
    void sendBMP280(uint8_t addr , uint8_t command) ; // BMP280に1バイトコマンドを送信
    uint8_t readBMP32b8(uint8_t addr) ; // Register読み取り
    uint16_t readBMP32b16LE(uint8_t addr) ; // 補正値読み取り

    uint32_t readBMP32b20(uint8_t addr) ; // センサー読み取り
    int32_t readBMP32Tmp() ; // 温度読み取り
    int32_t readBMP32Pre() ; // 気圧読み取り
} ;

#endif
